#include <bits/stdc++.h>
#define ll long long
#define maxn 200010
using namespace std;
ll n, a[maxn], b[maxn];
int main()
{
    cin.tie(0); cout.tie(0); ios::sync_with_stdio(0);
    cin >> n;
    for (ll i=0; i<n; i++) cin >> a[i];
    for (ll i=0; i<n; i++) cin >> b[i];

    ll ans=LONG_MIN;
    for (ll i=0; i<n; i++){
        ll vrednostxor, vrednostand;
        for (ll j=i; j<n; j++){
            if (i==j) {vrednostxor=a[j]; vrednostand=b[j];}
            else {vrednostxor^=a[j]; vrednostand&=b[j];}
            ans=max(ans, vrednostxor*vrednostand);
        }
    }
    cout << ans << '\n';
    return 0;
}